Skip to Content

Reconcile an owner test after an uncertain response

Requires messages:read and the signed-in owner in the dashboard or Samva CLI.

GET
/v1/integrations/catalog/recipes/post-delivery-check-in/owner-test/{requestId}

Requires messages:read and the signed-in owner in the dashboard or Samva CLI. Returns that owner's test receipt by request ID. Read message deliveries for provider and reply state.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

requestId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Response Body

Success

application/json
  1. response
messageId*MessageId
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
state*string
Value in"queued""unresolved""rejected"
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeTestReceipt({
  "requestId": "example"
});
Example Response
{
  "messageId": "string",
  "state": "queued"
}

Related documentation